跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Routines

Queue an asynchronous routine dispatch

POST /routines/{routine_name}:dispatch_async

Queues an asynchronous dispatch for the specified routine.

標頭參數

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

路徑參數

routine_name string 必要

The unique name of the routine.

查詢參數

api-version string 必要

The API version to use for this operation.

要求本文

Content-Type: application/json
payload invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a manual dispatch payload.

下列其中一項:
invoke_agent_responses_api InvokeAgentResponsesApiDispatchPayload

A manual payload used to test a responses API routine dispatch.

type enum 必要

The manual dispatch payload type.

invoke_agent_responses_api
input InvokeAgentResponsesApiDispatchPayload 必要

The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

invoke_agent_invocations_api InvokeAgentInvocationsApiDispatchPayload

A manual payload used to test an invocations API routine dispatch.

type enum 必要

The manual dispatch payload type.

invoke_agent_invocations_api
input InvokeAgentInvocationsApiDispatchPayload 必要

The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

回覆

The request has succeeded.

主體

Content-Type: application/json
dispatch_id string

The dispatch identifier created for the routine dispatch.

action_correlation_id string

A downstream action correlation identifier, when available.

task_id string

A workspace task identifier created for the dispatch, when available.

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /routines/{routine_name}:dispatch_async HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026